Subject: Re: kernel.org now has gitweb installed

From: "H. Peter Anvin" <[email-masked]>
Date: Thu, 28 Apr 2005 14:50:07 -0700

David Woodhouse wrote:
> 
> Hmm, that's true; albeit unfortunate. 
> 
> Still, using the date isn't any better. It'll give results which are
> about as random as just sorting by the sha1 of each parent.
> 
> Yes, the ordering of the parents in a merge is probably meaningless in
> the general case, but so is the date.
> 
> The best we could probably do, from a theoretical standpoint, is to look
> at the paths via each parent to a common ancestor, and look at how many
> of the commits on each path were done by the same committer. Even that
> isn't ideal, and it's probably fairly expensive -- but it's pointless to
> pretend we can infer anything from _either_ the dates or the ordering of
> the parents in a merge.
> 

Perhaps the right thing to do is to draw a graph instead?

	-hpa